package domain

type TmallExchangeRefuseExchangeBaseResponse struct {
	/*
	   返回结果说明     */
	Message *string `json:"message,omitempty" `

	/*
	   返回结果码     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   是否成功调用     */
	Success *bool `json:"success,omitempty" `

	/*
	   换货单基本信息     */
	Exchange *TmallExchangeRefuseExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeRefuseExchangeBaseResponse) SetMessage(v string) *TmallExchangeRefuseExchangeBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeRefuseExchangeBaseResponse) SetMsgCode(v string) *TmallExchangeRefuseExchangeBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeRefuseExchangeBaseResponse) SetSuccess(v bool) *TmallExchangeRefuseExchangeBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeRefuseExchangeBaseResponse) SetExchange(v TmallExchangeRefuseExchange) *TmallExchangeRefuseExchangeBaseResponse {
	s.Exchange = &v
	return s
}
